Bug 602143 - gnome panels not fully painted (since xorg-x11-server-1.7.7-4.el6, with compiz)
gnome panels not fully painted (since xorg-x11-server-1.7.7-4.el6, with compiz)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Dave Airlie
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks: 586567
  Show dependency treegraph
 
Reported: 2010-06-09 05:02 EDT by Michal Schmidt
Modified: 2010-11-10 16:58 EST (History)
7 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.7.7-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:58:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the problem (640.54 KB, image/png)
2010-06-09 05:02 EDT, Michal Schmidt
no flags Details
dmesg (34.18 KB, text/plain)
2010-06-09 05:03 EDT, Michal Schmidt
no flags Details
Xorg.0.log (73.74 KB, text/plain)
2010-06-09 05:04 EDT, Michal Schmidt
no flags Details
screenshot of th eproblem (840.76 KB, image/png)
2010-06-10 11:27 EDT, Ben Woodard
no flags Details

  None (edit)
Description Michal Schmidt 2010-06-09 05:02:29 EDT
Created attachment 422479 [details]
screenshot showing the problem

Description of problem:
The change in xorg-x11-server-1.7.7-4.el6 has caused a regression with compiz
on my ATI RV280 (Radeon 9200). After login, the gnome panels are not fully drawn, the menus and icons appear only after the mouse pointer hits them. Downgrading xorg-x11-server-* to 1.7.7-3.el6 fixes it.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.7.7-4.el6.x86_64
xorg-x11-drv-ati-6.13.0-4.el6.x86_64
mesa-dri-drivers-7.7-2.el6.x86_64
kernel-2.6.32-33.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. enable compiz using deskop-effects
2. re-login into Gnome
  
Actual results:
Not seeing most of the icons, menus, applets in the gnome panel. They do appear after an event causes them to redraw (such as hovering a mouse over an icon, or clicking where a menu is supposed to be). Sometimes even the background area of the panel is filled with what seems like random memory contents.

Expected results:
The panels and their elements should be fully painted after login.
Comment 1 Michal Schmidt 2010-06-09 05:03:37 EDT
Created attachment 422480 [details]
dmesg
Comment 2 Michal Schmidt 2010-06-09 05:04:08 EDT
Created attachment 422481 [details]
Xorg.0.log
Comment 4 RHEL Product and Program Management 2010-06-09 05:33:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Matěj Cepl 2010-06-09 10:20:54 EDT
Reporter, could you upgrade, please? I have here

xorg-x11-server-Xorg-1.7.7-5.el6.x86_64

Thank you
Comment 6 Adam Jackson 2010-06-09 16:23:24 EDT
1.7.7-5 won't affect this.  There was only one change between -3 and -4, and the change in -5 is unrelated.
Comment 7 Michal Schmidt 2010-06-09 19:14:35 EDT
Correct. I upgraded to 1.7.7-5 and the bug is still there.
Comment 8 Dave Airlie 2010-06-09 21:57:55 EDT
xorg-x11-server-Xorg 1.7.7-8 should be in brewroot, can you please test with this, the patch to fix another bug was applied in slightly the wrong place.
Comment 9 Ben Woodard 2010-06-10 11:26:30 EDT
I'm running 1.7.7-8 and I still seem to have problems.
Comment 10 Ben Woodard 2010-06-10 11:27:40 EDT
Created attachment 422951 [details]
screenshot of th eproblem
Comment 11 Adam Jackson 2010-06-10 12:54:40 EDT
Ben, does 1.7.7-3 show this issue?  I want to be sure that you're seeing the same thing Michal is seeing.
Comment 12 Michal Schmidt 2010-06-10 13:59:12 EDT
For me 1.7.7-8 fixes the bug.
Comment 13 Tim Waugh 2010-06-17 06:39:20 EDT
I'm still seeing this problem with 1.7.7-11.el6.

A reliable reproducer for it is to just run emacs.  The toolbar is not painted until you mouse-over it.
Comment 14 Dave Airlie 2010-06-20 20:43:46 EDT
Tim can you attach and X org log + if you are running a compositor (which one.)
Comment 15 Dave Airlie 2010-06-21 02:43:27 EDT
Okay I've built xorg-x11-server-1.7.7-12 in brew.

Can you please test this and get back to me.
Comment 16 Tim Waugh 2010-06-21 04:30:56 EDT
Fixed in 1.7.7-12.  Thanks!

I'm using compiz, FWIW.
Comment 19 releng-rhel@redhat.com 2010-11-10 16:58:42 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.